<template>
  <a-layout style="height: 100%">
    <a-layout-content>
      <lt-a-table :stripe="true" :show-overflow-tooltip="true" ref="refTable" :searchBox="false"
        style="border: 0px; border-left-width: 0px" bordered :dataSource="data" :footStatus="true"
        :highlight-current-row="true" :showToolBar="false" :showEditInDialog="false" :columns="columns"
        :pagination="false">
      </lt-a-table>
    </a-layout-content>
  </a-layout>
</template>

<script setup lang="ts">
import { computed, onMounted, PropType, ref } from "vue"
import { formatShowCols } from "../../../commonMethods/commonMethods";
import { ColStruct } from "../../../../../hooks/type";

const props = defineProps({
  data: {
    type: Array,
    default() {
      return [];
    },
  },
  DeviceModelCols: {
    type: Array as PropType<ColStruct[]>,
    default() {
      return [];
    },
  },
  DevCtlmainColumns: {
    type: Array,
    default() {
      return [];
    },
  },
})

const columns = computed(() => {
  let cols = formatShowCols(props.DeviceModelCols)
  return cols
})

onMounted(() => {


})

</script>